Bug 215637 - net-mgmt/ccnet-server: Updated to 6.0.7
Summary: net-mgmt/ccnet-server: Updated to 6.0.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nikolai Lifanov
URL: https://github.com/haiwen/ccnet-serve...
Keywords: easy, patch-ready
Depends on:
Blocks:
 
Reported: 2016-12-28 18:37 UTC by Ultima
Modified: 2016-12-29 18:59 UTC (History)
2 users (show)

See Also:


Attachments
ccnet-server.diff (1023 bytes, patch)
2016-12-28 18:37 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ultima 2016-12-28 18:37:10 UTC
Created attachment 178359 [details]
ccnet-server.diff

This is an update to ccnet-server to the latest version, 6.0.7. This is a patch version update and has minor changes.


* Updated to 6.0.7

 - Fixed ldap on msys2.


portlint -AC:
WARN: Makefile: Consider adding support for a NLS knob to conditionally disable gettext support.
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 2 warnings found.

poudriere bulk -tC:
12amd64: success https://poudriere.ultimasbox.com/data/12amd64-test/2016-12-27_12h45m12s/logs/ccnet-server-6.0.7.log
12i386: success https://poudriere.ultimasbox.com/data/12i386-test/2016-12-27_12h45m13s/logs/ccnet-server-6.0.7.log
110amd64: success https://poudriere.ultimasbox.com/data/110amd64-test/2016-12-27_12h45m10s/logs/ccnet-server-6.0.7.log
110i386: success https://poudriere.ultimasbox.com/data/110i386-test/2016-12-27_12h45m11s/logs/ccnet-server-6.0.7.log
101amd64: success https://poudriere.ultimasbox.com/data/101amd64-test/2016-12-27_12h45m08s/logs/ccnet-server-6.0.7.log
101i386: success https://poudriere.ultimasbox.com/data/101i386-test/2016-12-27_12h45m09s/logs/ccnet-server-6.0.7.log
93amd64: success https://poudriere.ultimasbox.com/data/93amd64-test/2016-12-27_12h45m15s/logs/ccnet-server-6.0.7.log
93i386: success https://poudriere.ultimasbox.com/data/93i386-test/2016-12-27_12h45m16s/logs/ccnet-server-6.0.7.log
Comment 1 Nikolai Lifanov freebsd_committer 2016-12-29 14:25:42 UTC
Do you mind if I drop these? USES=autoreconf already does this:

 SHEBANG_FILES=	tools/*.py
 PATHFIX_MAKEFILEIN=	Makefile.am
Comment 2 Ultima 2016-12-29 15:39:49 UTC
(In reply to Nikolai Lifanov from comment #1)
Drop away, it looks like shebangfix is also not needed in uses anymore.
Comment 3 commit-hook freebsd_committer 2016-12-29 18:57:51 UTC
A commit references this bug:

Author: lifanov
Date: Thu Dec 29 18:56:57 UTC 2016
New revision: 429940
URL: https://svnweb.freebsd.org/changeset/ports/429940

Log:
  * Updated to 6.0.7

   - Fixed ldap on msys2.

  PR:		215637
  Submitted by:	Ultima1252@gmail.com (maintainer)
  Reviewed by:	matthew, mat
  Approved by:	matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D8958

Changes:
  head/net-mgmt/ccnet-server/Makefile
  head/net-mgmt/ccnet-server/distinfo
Comment 4 Nikolai Lifanov freebsd_committer 2016-12-29 18:59:53 UTC
Committed, thanks!